import {NgModule}                 from '@angular/core';
import {CommonModule}             from '@angular/common';
import {FormsModule}              from '@angular/forms';
import {RouterModule}             from '@angular/router';

import {BrowseCommunityComponent}     from './browse-community.component';

import {SearchFormModule}         from '../../openaireLibrary/searchPages/searchUtils/searchForm.module';
import {ManageModule}             from '../../openaireLibrary/utils/manage/manage.module';
import {AlertModalModule}         from "../../openaireLibrary/utils/modal/alertModal.module";
import {UrlPrefixModule} from "../../openaireLibrary/utils/pipes/url-prefix.module";
import {LogoUrlPipeModule} from "../../openaireLibrary/utils/pipes/logoUrlPipe.module";

@NgModule({
  imports: [
    CommonModule, FormsModule, RouterModule,
    SearchFormModule, ManageModule, AlertModalModule, UrlPrefixModule, LogoUrlPipeModule
  ],
  declarations: [
    BrowseCommunityComponent
  ],
  providers:[
  ],
  exports: [
    BrowseCommunityComponent
  ]
})
export class BrowseCommunityModule { }
